#!/bin/bash

./testing_mublas_sgemv --devno=0 --mode=p --range=16:10000:16 > _testing_mublas_sgemv_n_gtx980.dat
#./testing_mublas_dgemv --devno=0 --mode=p --range=16:10000:16 > _testing_mublas_dgemv_n_gtx980.dat
#./testing_mublas_cgemv --devno=0 --mode=p --range=16:10000:16 > _testing_mublas_cgemv_n_gtx980.dat
#./testing_mublas_zgemv --devno=0 --mode=p --range=16:10000:16 > _testing_mublas_zgemv_n_gtx980.dat

./testing_mublas_sgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_mublas_sgemv_t_gtx980.dat
#./testing_mublas_dgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_mublas_dgemv_t_gtx980.dat
#./testing_mublas_cgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_mublas_cgemv_t_gtx980.dat
#./testing_mublas_zgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_mublas_zgemv_t_gtx980.dat

./testing_mublas_strmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_mublas_strmv_lnn_gtx980.dat
#./testing_mublas_dtrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_mublas_dtrmv_lnn_gtx980.dat
#./testing_mublas_ctrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_mublas_ctrmv_lnn_gtx980.dat
#./testing_mublas_ztrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_mublas_ztrmv_lnn_gtx980.dat

./testing_mublas_saxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_mublas_saxpy_gtx980.dat
#./testing_mublas_daxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_mublas_daxpy_gtx980.dat
#./testing_mublas_caxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_mublas_caxpy_gtx980.dat
#./testing_mublas_zaxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_mublas_zaxpy_gtx980.dat

./testing_cublas_sgemv --devno=0 --mode=p --range=16:10000:16 > _testing_cublas_sgemv_n_gtx980.dat
#./testing_cublas_dgemv --devno=0 --mode=p --range=16:10000:16 > _testing_cublas_dgemv_n_gtx980.dat
#./testing_cublas_cgemv --devno=0 --mode=p --range=16:10000:16 > _testing_cublas_cgemv_n_gtx980.dat
#./testing_cublas_zgemv --devno=0 --mode=p --range=16:10000:16 > _testing_cublas_zgemv_n_gtx980.dat

./testing_cublas_sgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_cublas_sgemv_t_gtx980.dat
#./testing_cublas_dgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_cublas_dgemv_t_gtx980.dat
#./testing_cublas_cgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_cublas_cgemv_t_gtx980.dat
#./testing_cublas_zgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_cublas_zgemv_t_gtx980.dat

./testing_cublas_strmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_cublas_strmv_lnn_gtx980.dat
#./testing_cublas_dtrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_cublas_dtrmv_lnn_gtx980.dat
#./testing_cublas_ctrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_cublas_ctrmv_lnn_gtx980.dat
#./testing_cublas_ztrmv --devno=0 --uplo=L --mode=p --range=16:10000:16 > _testing_cublas_ztrmv_lnn_gtx980.dat

./testing_cublas_saxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_cublas_saxpy_gtx980.dat
#./testing_cublas_daxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_cublas_daxpy_gtx980.dat
#./testing_cublas_caxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_cublas_caxpy_gtx980.dat
#./testing_cublas_zaxpy --devno=0 --mode=p --range=10240:409600:10240 > _testing_cublas_zaxpy_gtx980.dat

./testing_kblas_sgemv --devno=0 --mode=p --range=16:10000:16 > _testing_kblas_sgemv_n_gtx980.dat
#./testing_kblas_dgemv --devno=0 --mode=p --range=16:10000:16 > _testing_kblas_dgemv_n_gtx980.dat
#./testing_kblas_cgemv --devno=0 --mode=p --range=16:10000:16 > _testing_kblas_cgemv_n_gtx980.dat
#./testing_kblas_zgemv --devno=0 --mode=p --range=16:10000:16 > _testing_kblas_zgemv_n_gtx980.dat

./testing_kblas_sgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_kblas_sgemv_t_gtx980.dat
#./testing_kblas_dgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_kblas_dgemv_t_gtx980.dat
#./testing_kblas_cgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_kblas_cgemv_t_gtx980.dat
#./testing_kblas_zgemv --devno=0 --trans=T --mode=p --range=16:10000:16 > _testing_kblas_zgemv_t_gtx980.dat

