#!/bin/sh
#------ pjsub option --------#
#PJM -L rscunit=gwacsg
#PJM -L rscgrp=gpu
#PJM -L node=1
#PJM -L vnode=1
#PJM -L vnode-core=1
#PJM -L elapse=00:09:00
#PJM -x gpu_per_vnode=3
#PJM -g Q15250
#PJM -j
#PJM -s
#------- Program execution -------#
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/gwfefs/opt/x86_64/cuda/common/rhel6.4/lib64:/gwfefs/opt/x86_64/cuda/7.0/lib64:/gwfefs/opt/x86_64/cuda/7.0/lib

./testing_kblas_dgemv_mgpu --mode=p --trans=n --numgpus=3 --range=16:10000:16
echo " "
echo " "
./testing_kblas_dgemv_mgpu --mode=c --trans=n --numgpus=3 --range=16:1000:16

